Bio::Map::CytoMap(3)

NAME
Bio::Map::CytoMap - A Bio::MapI compliant map implementation handling cytogenic bands

SYNOPSIS
    use Bio::Map::CytoMap;
    my $map = new Bio::Map::CytoMap(-name => 'human1',
                                      -species => $human);
    foreach my $marker ( @markers ) { # get a list of markers somewhere
        $map->add_element($marker);
    }

DESCRIPTION
This is the simple implementation of cytogenetic maps based on Bio::Map::MapI. It handles the essential storage of name, species, type, and units as well as in memory representation of the elements of a map.

For CytoMaps type is hard coded to be 'cytogeneticmap' and units are set to '' but can be set to something else.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via email or the web:

  bioperl-bugs@bioperl.org
  http://bugzilla.bioperl.org/

AUTHOR - Heikki Lehvaslaiho
Email heikki@ebi.ac.uk

CONTRIBUTORS
Jason Stajich jason@bioperl.org Lincoln Stein lstein@cshl.org

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  Modified methods
All methods present in Bio::Map::SimpleMap are implemted by this class. Most of the methods are inherited from SimpleMap. The following methods have been modified to refelect the needs of cytogenetic maps.

  new
 Title   : new
 Usage   : my $obj = new Bio::Map::CytoMap();
 Function: Builds a new Bio::Map::CytoMap object
 Returns : Bio::Map::CytoMap
 Args    : -name    => name of map (string)
           -species => species for this map (Bio::Species) [optional]
           -elements=> elements to initialize with
                       (arrayref of Bio::Map::MappableI objects) [optional]

           -uid     => Unique Id

  type
 Title   : type
 Usage   : my $type = $map->type
 Function: Get hard-coded  Map type
 Returns : String coding map type
 Args    :

  length
 Title   : length
 Usage   : my $length = $map->length();
 Function: Retrieves the length of the map,
 Returns : undef since length is not calculatable for
           cytogenetic maps
 Args    : none

  Methods inherited from Bio::Map::SimpleMap

  species
 Title   : species
 Usage   : my $species = $map->species;
 Function: Get/Set Species for a map
 Returns : Bio::Species object or string
 Args    : (optional) Bio::Species or string

  units
 Title   : units
 Usage   : $map->units('cM');
 Function: Get/Set units for a map
 Returns : units for a map
 Args    : units for a map (string)

  name
 Title   : name
 Usage   : my $name = $map->name
 Function: Get/Set Map name
 Returns : Map name
 Args    : (optional) string

  unique_id
 Title   : unique_id
 Usage   : my $id = $map->unique_id;
 Function: Get/Set the unique ID for this map
 Returns : a unique identifier
 Args    : [optional] new identifier to set

  each_element
 Title   : each_element
 Usage   : my @elements = $map->each_element;
 Function: Retrieves all the elements in a map
           unordered
 Returns : Array of Bio::Map::MappableI objects
 Args    : none

  New methods